You must pass individual tests to obtain marks.
The Mark of the Guildsman is only given to those who pass the Trial of the Guildsman. You must be above level 35 to take the test. To take the Trial of the Guildsman, visit Warehouse Keeper Valkon of Giran Castle Town.
The Mark of Prosperity is only given to those who pass the Testimony of Prosperity. You must be above level 37 to take the test. To take the Testimony of Prosperity, visit Warehouse Keeper Parman of Giran Castle Town.
And finally, the Mark of the Searcher is only given to those who pass the Test of the Searcher. You must be above level 39 to take the test. To take the Test of the Searcher, visit Master Luther at the Hunters' Village.
Return